# Modules to load
LoadModule mpm_prefork_module   <?php echo("$libdir/mod_mpm_prefork.so\n"); ?>
LoadModule alias_module         <?php echo("$libdir/mod_alias.so\n"); ?>
LoadModule authn_core_module    <?php echo("$libdir/mod_authn_core.so\n"); ?>
LoadModule authz_host_module    <?php echo("$libdir/mod_authz_host.so\n"); ?>
LoadModule authz_core_module    <?php echo("$libdir/mod_authz_core.so\n"); ?>
LoadModule deflate_module       <?php echo("$libdir/mod_deflate.so\n"); ?>
LoadModule filter_module        <?php echo("$libdir/mod_filter.so\n"); ?>
LoadModule dir_module           <?php echo("$libdir/mod_dir.so\n"); ?>
LoadModule expires_module       <?php echo("$libdir/mod_expires.so\n"); ?>
LoadModule headers_module       <?php echo("$libdir/mod_headers.so\n"); ?>
LoadModule mime_module          <?php echo("$libdir/mod_mime.so\n"); ?>
LoadModule php7_module          <?php echo("$libdir/libphp7.4.so\n"); ?>
LoadModule rewrite_module       <?php echo("$libdir/mod_rewrite.so\n"); ?>
LoadModule proxy_module       <?php echo("$libdir/mod_proxy.so\n"); ?>
LoadModule proxy_http_module       <?php echo("$libdir/mod_proxy_http.so\n"); ?>

Listen <?php echo("$bind:$port"); ?>

PidFile <?php echo("$rundir/apache2.pid\n"); ?>
ScoreBoardFile <?php echo("$rundir/apache_runtime_status\n"); ?>
Mutex <?php echo("file:$rundir\n"); ?>

# Limit number of servers started and disable keep-alive
<IfModule mpm_prefork_module>
    StartServers        4
    MinSpareServers     4
    MaxSpareServers     16
    MaxClients          32
</IfModule>
KeepAlive Off

<IfModule mod_deflate.c>
	<IfModule mod_filter.c>
		# these are known to be safe with MSIE 6
		AddOutputFilterByType DEFLATE text/html text/plain text/xml

		# everything else may cause problems with MSIE 6
		AddOutputFilterByType DEFLATE text/css
		AddOutputFilterByType DEFLATE application/x-javascript application/javascript application/ecmascript
		AddOutputFilterByType DEFLATE application/rss+xml
		AddOutputFilterByType DEFLATE application/xml
	</IfModule>
</IfModule>

# Logging
#LogLevel debug rewrite:trace8
ErrorLog "/dev/stderr"
LogFormat "%h %l %u %t \"%r\" %>s %O \"%{Referer}i\" \"%{User-Agent}i\"" combined
CustomLog "/dev/stderr" combined

#RewriteLog "/dev/stderr"
#RewriteLogLevel 99

# PHP handler
<FilesMatch ".+\.ph(p[345]?|t|tml)$">
    SetHandler application/x-httpd-php
</FilesMatch>

# MIME types
DefaultType text/html
TypesConfig /etc/mime.types

# Set document root
DocumentRoot <?php echo($root);?>

# .htaccess support
AccessFileName .htaccess
<Directory <?php echo($root);?>/>
    Require all granted
    AllowOverride All
</Directory>
